[Task] Add a tooltip hint to the "Query Service" toolbar button on wikidata.org
Closed, ResolvedPublic

Description

Several menu items in the main menu on the left on wikidata.org do not have an explanatory tooltip hint. The menu items should give some description if the cursor is pointed over them. This includes:

  • Project chat
  • Create a new item
  • Query Service
  • Nearby
Viveksr96 created this task.Mar 6 2017, 1:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2017, 1:49 PM
Restricted Application added a project: Discovery. · View Herald TranscriptMar 6 2017, 1:50 PM

Which button? Which thumbnail?

Which button? Which thumbnail?

Do you mean a tooltip instead of a thumbnail?

If so, this can done by an admin on Wikidata by changing this interface message.

Lydia_Pintscher closed this task as Invalid.Mar 23 2017, 2:36 PM

Closing for lack of response.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMar 23 2017, 2:36 PM
matej_suchanek reopened this task as Open.Mar 23 2017, 5:23 PM

If we replace the term "thumbnail" with "tooltip", I think this request makes sense.

The question is: What text do we want to have shown when a user points the cursor over the "Query Service" in the sidebar?

thiemowmde renamed this task from [Bug] Special: Query Service button isn't showing thumbnails on Wikidata to [Task] Add a tooltip hint to the "Query Service" toolbar button on wikidata.org.Mar 26 2017, 11:52 AM
thiemowmde triaged this task as Lowest priority.
thiemowmde updated the task description. (Show Details)
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 26 2017, 11:52 AM
thiemowmde updated the task description. (Show Details)Mar 26 2017, 11:58 AM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.May 5 2017, 2:53 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 26 2017, 10:56 AM

Having reviewed this in more detail with Brian of the MediaWiki team, the correct page contents to look at/create/edit is:
https://www.wikidata.org/wiki/MediaWiki:Tooltip-n-queryservice
For comparison, see
https://www.wikidata.org/wiki/MediaWiki:Tooltip-n-randompage

You can find the exact values for these addresses by looking at the first parenthetical value in the respective tooltips in
https://www.wikidata.org/wiki/Wikidata:Main_Page?uselang=qqx,
so building the tooltip-text pages for each of the above mentioned links should be straightforward for anyone with admin privileges.

Smarita claimed this task.Sep 21 2017, 5:15 AM

Hi! I wish to work on this particular task, but I lack administrative permission. Can somebody suggest me a way/an alternative way so that I can start working on it?

You can propose your changes here or on individual talk pages (mark them with {{edit request}}).

Smarita removed Smarita as the assignee of this task.Oct 19 2017, 8:14 PM
Smarita added a subscriber: Smarita.

Sorry guys got caught with some other tasks. Will work on this when I am relatively freer.

I made the page by adding "Service that enables getting queries for the data of Wikidata", feel free to propose any change you like and I apply it.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 29 2017, 10:41 AM
Lydia_Pintscher closed this task as Resolved.Jan 2 2018, 2:48 PM